<?php
/**
 * Plugin Name: X Tag Linker
 * Description: Automatically links `@username` mentions in post content to their respective X (Twitter) profiles and displays the username as a tooltip.
 * Version: 1.1
 * Author: SB
 * Author URI: https://wpscriptly.com
 */

// Prevent direct access to the file
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Function to convert @username to Twitter link with tooltip
function link_x_tags_with_tooltip( $content ) {
    $pattern = '/@([A-Za-z0-9_]+)/'; // Regular expression to match @username
    $replacement = '<a href="https://x.com/$1" target="_blank" title="𝕏: @$1">@$1</a>';
    $content = preg_replace( $pattern, $replacement, $content );
    return $content;
}

// Hook the function to the 'the_content' filter
add_filter( 'the_content', 'link_x_tags_with_tooltip' );
